# wine python windows builder

[![Build Status](https://drone.asperti.com/api/badges/paspo/docker-python-windows/status.svg)](https://drone.asperti.com/paspo/docker-python-windows)

Python for windows container.

## usage

example `.drone.yaml`:

```yaml
kind: pipeline
type: docker
name: default

steps:
  - name: build
    image: docker.asperti.com/paspo/python-windows-builder
    pull: always
    commands:
      # add dependancy
      - wine c:/python/python.exe -m pip install cryptography
      # prepare output directory
      - mkdir -p /drone/src/out/
      # build
      - wine c:/python/Scripts/pyinstaller.exe --onefile --distpath z:/drone/src/out z:/drone/src/prepara_xml.py
```
